## ros-iron-moveit-simple-controller-manager 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_simple_controller_manager LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(control_msgs REQUIRED)
find_package(rclcpp_action REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  control_msgs
  rclcpp
  rclcpp_action
  moveit_core
  pluginlib
)

include_directories(
  include
)

add_library(moveit_simple_controller_manager SHARED
  src/moveit_simple_controller_manager.cpp
  src/follow_joint_trajectory_controller_handle.cpp
)

set_target_properties(moveit_simple_controller_manager PROPERTIES VERSION "${moveit_simple_controller_manager_VERSION}")

ament_target_dependencies(moveit_simple_controller_manager
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
  Boost
)

install(
  TARGETS moveit_simple_controller_manager
  EXPORT moveit_simple_controller_managerTargets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include/moveit_simple_controller_manager
)
install(DIRECTORY include/ DESTINATION include/moveit_simple_controller_manager)

ament_export_targets(moveit_simple_controller_managerTargets HAS_LIBRARY_TARGET)
ament_export_dependencies(
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
  Boost
)

pluginlib_export_plugin_description_file(moveit_core moveit_simple_controller_manager_plugin_description.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-iron-moveit-simple-controller-manager (2.8.0-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.4-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Michael Görner <me@v4hn.de>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.2-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.1-1jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.0-1jammy) jammy; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use emulated time in action-based controller (#899 <https://github.com/ros-planning/moveit2/issues/899>)
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Christian Henkel, Cory Crean, Gaël Écorchard, Robert Haschke, Sameer Gupta

 -- Michael Görner <me@v4hn.de>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.6.0-1jammy) jammy; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Support chained controllers (#1482 <https://github.com/ros-planning/moveit2/issues/1482>)
    * fix controller list if chained controllers exist
    * add comments and clean code
    * added additional comments
    * fix formatting
    * fix white space
    * add const reference and chhnage variable name
    * simplify logic to only  work with one layer chain
    * Don't return false when not finding optional parameter
    * Update moveit_ros/perception/pointcloud_octomap_updater/src/pointcloud_octomap_updater.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * add debug information
    * print controller names
    * print controllers with not known type
    * load controller dependencies
    * start chained controllers in switch
    * reverse order of activate controllers
    * prevent stoppping controller twice
    * revert all debug changes
    * add ROS error if a controller chains to more than one
    * use loop to index chained connections
    * update ros_control
    * add empty controller allocator for admittance controller
    * fix plugin xml
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * fix map indexing
    * add comment
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: Tyler Weaver <mailto:squirrel428@protonmail.com>
    * Typos
    Co-authored-by: JafarAbdi <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Jafar <mailto:jafar.uruc@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
    Co-authored-by: Tyler Weaver <mailto:squirrel428@protonmail.com>
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Contributors: Paul Gesel, Robert Haschke, Sebastian Jahr

 -- Michael Görner <me@v4hn.de>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.5.3-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.5.2-1jammy) jammy; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * Contributors: Jafar, Michael Görner, v4hn

 -- Michael Görner <me@v4hn.de>  Sun, 17 Jul 2022 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.5.1-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 30 May 2022 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.5.0-1jammy) jammy; urgency=high

  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>


=== debian/control ===
Source: ros-iron-moveit-simple-controller-manager
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-control-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-simple-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-control-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-ros-workspace
Description: A generic, simple controller manager plugin for MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-simple-controller-manager//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
